Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Any_Basic_Impl_T< T > Class Template Reference

Template Any class for basic types. More...

`#include <Any_Basic_Impl_T.h>`

Inheritance diagram for TAO::Any_Basic_Impl_T< T >:

[legend]
Collaboration diagram for TAO::Any_Basic_Impl_T< T >:

[legend]
List of all members.

## Public Methods
| Any_Basic_Impl_T (CORBA::TypeCode_ptr, const T &val)
virtual | ~Any_Basic_Impl_T (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const void * | value (void) const
## Static Public Methods
void | insert (CORBA::Any &, CORBA::TypeCode_ptr, const T &)
CORBA::Boolean | extract (const CORBA::Any &, CORBA::TypeCode_ptr, T &)
Any_Basic_Impl_T< T > * | create_empty (CORBA::TypeCode_ptr)
## Private Attributes
T | value_

## Detailed Description

### template<typename T>
class TAO::Any_Basic_Impl_T< T >

Template Any class for basic types.

Used for all basic IDL types except bounded (w)strings.

## Constructor & Destructor Documentation

template<typename T>
TAO::Any_Basic_Impl_T< T >::Any_Basic_Impl_T | ( | CORBA::TypeCode_ptr | ,
|  | const T & | val
| ) |

template<typename T>
TAO::Any_Basic_Impl_T< T >::~Any_Basic_Impl_T | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename T>
virtual void TAO::Any_Basic_Impl_T< T >::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T>
TAO::Any_Basic_Impl_T< T > * TAO::Any_Basic_Impl_T< T >::create_empty | ( | CORBA::TypeCode_ptr |  | ) | `[static]`

template<typename T>
ACE_INLINE CORBA::Boolean TAO::Any_Basic_Impl_T< T >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<typename T>
CORBA::Boolean TAO::Any_Basic_Impl_T< T >::extract | ( | const CORBA::Any & | ,
|  | CORBA::TypeCode_ptr | ,
|  | T & |
| ) | `[static]`

template<typename T>
void TAO::Any_Basic_Impl_T< T >::insert | ( | CORBA::Any & | ,
|  | CORBA::TypeCode_ptr | ,
|  | const T & |
| ) | `[static]`

template<typename T>
ACE_INLINE CORBA::Boolean TAO::Any_Basic_Impl_T< T >::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

template<typename T>
ACE_INLINE const void * TAO::Any_Basic_Impl_T< T >::value | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

## Member Data Documentation

template<typename T>
T TAO::Any_Basic_Impl_T< T >::value_`[private]`

The documentation for this class was generated from the following files:

- Any_Basic_Impl_T.h
- Any_Basic_Impl_T.cpp
- Any_Basic_Impl_T.inl